package eu.oschl.gui.actions;

import javafx.application.Platform;

/**
 * This action quits the game application.
 *
 * @author Ondřej Schlaichert
 */
public class Quit implements Action {
    @Override
    public String getId() {
        return "quit";
    }

    @Override
    public String getName() {
        return "Quit game";
    }

    @Override
    public String getDescription() {
        return "quit the game";
    }

    @Override
    public void execute(String[] args) {
        Platform.exit();
    }
}
